%define upstream_name    IO-Socket-Socks
%define upstream_version 0.62

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides a way to create socks client or server both 4 and 5 version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant) >= 1.30.0
BuildArch:  noarch

%description
IO::Socket::Socks connects to a SOCKS proxy, tells it to open a connection
to a remote host/port when the object is created. The object you receive
can be used directly as a socket for sending and receiving data from the
remote host. In addition to create socks client this module could be used
to create socks server. See examples below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.620.0-2.mga3
+ Revision: 368556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.620.0-1.mga3
+ Revision: 255059
- update to 0.62

* Fri Dec 23 2011 shlomif <shlomif> 0.600.0-1.mga2
+ Revision: 186930
- imported package perl-IO-Socket-Socks

